#!/bin/bash

#$ -S /bin/bash
#$ -N PredictorExtract

#$ -o /work/$USER/$JOB_NAME-$JOB_ID-$TASK_ID.log
#$ -j y

#$ -l h_rt=00:30:00:00
#$ -l h_vmem=2G

#$ -pe smp 5-32

#$ -cwd

#$ -t 1-99


module load GCC/8.3.0
module load OpenMPI/3.1.4
module load R/3.6.2

filename="$1"
shift 

output=/data/splot/_data_splot3/output_pred/$(basename $filename .tif)-$SGE_TASK_ID.csv

Rscript \
    cli_A98.r \
    --cores ${NSLOTS:-1} \
    --typp "raster" \
    --chunk.i "$SGE_TASK_ID" \
    --chunkn 99 \
    /data/splot/_data_splot3/header.shp.shp \
    robust.mean \
    "$output" \
    "$filename"
